Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIQueue

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractQueue
                  org.richfaces.component.UIQueue

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIQueue

extends AbstractQueue

Author:
  Nick Belaevski

Nested Class Summary
`protected static class` | `UIQueue.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractQueue
`GLOBAL_QUEUE_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIQueue()`

Method Summary
`java.lang.String` | `getFamily()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOnerror()`
`java.lang.String` | `getOnevent()`
`java.lang.String` | `getOnrequestdequeue()`
`java.lang.String` | `getOnrequestqueue()`
`java.lang.String` | `getOnsubmit()`
`int` | `getRequestDelay()`
`boolean` | `isIgnoreDupResponses()`
`void` | `setIgnoreDupResponses(boolean ignoreDupResponses)`
`void` | `setName(java.lang.String name)`
`void` | `setOnbeforedomupdate(java.lang.String onbeforedomupdate)`
`void` | `setOncomplete(java.lang.String oncomplete)`
`void` | `setOnerror(java.lang.String onerror)`
`void` | `setOnevent(java.lang.String onevent)`
`void` | `setOnrequestdequeue(java.lang.String onrequestdequeue)`
`void` | `setOnrequestqueue(java.lang.String onrequestqueue)`
`void` | `setOnsubmit(java.lang.String onsubmit)`
`void` | `setRequestDelay(int requestDelay)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIQueue

    public UIQueue()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Specified by:
    `isIgnoreDupResponses` in class `AbstractQueue`

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean ignoreDupResponses)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `AbstractQueue`

### setName

    public void setName(java.lang.String name)

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  Specified by:
    `getOnbeforedomupdate` in class `AbstractQueue`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String onbeforedomupdate)

### getOncomplete

    public java.lang.String getOncomplete()

  Specified by:
    `getOncomplete` in class `AbstractQueue`

### setOncomplete

    public void setOncomplete(java.lang.String oncomplete)

### getOnerror

    public java.lang.String getOnerror()

  Specified by:
    `getOnerror` in class `AbstractQueue`

### setOnerror

    public void setOnerror(java.lang.String onerror)

### getOnevent

    public java.lang.String getOnevent()

  Specified by:
    `getOnevent` in class `AbstractQueue`

### setOnevent

    public void setOnevent(java.lang.String onevent)

### getOnrequestdequeue

    public java.lang.String getOnrequestdequeue()

  Specified by:
    `getOnrequestdequeue` in class `AbstractQueue`

### setOnrequestdequeue

    public void setOnrequestdequeue(java.lang.String onrequestdequeue)

### getOnrequestqueue

    public java.lang.String getOnrequestqueue()

  Specified by:
    `getOnrequestqueue` in class `AbstractQueue`

### setOnrequestqueue

    public void setOnrequestqueue(java.lang.String onrequestqueue)

### getOnsubmit

    public java.lang.String getOnsubmit()

  Specified by:
    `getOnsubmit` in class `AbstractQueue`

### setOnsubmit

    public void setOnsubmit(java.lang.String onsubmit)

### getRequestDelay

    public int getRequestDelay()

  Specified by:
    `getRequestDelay` in class `AbstractQueue`

### setRequestDelay

    public void setRequestDelay(int requestDelay)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.